# -*- coding: utf-8 -*-

import importlib
import importlib.util
import os
import setuptools

"""This file is used to package the InvenTreeForecasting plugin.

- It was generated by the InvenTree Plugin Creator tool - version 1.3.0
- Ref: https://github.com/inventree/plugin_creator
"""

"""Read the plugin version from the source code."""
module_path = os.path.join(
    os.path.dirname(__file__), "inventree_forecasting", "__init__.py"
)
spec = importlib.util.spec_from_file_location("inventree_forecasting", module_path)
inventree_forecasting = importlib.util.module_from_spec(spec)
spec.loader.exec_module(inventree_forecasting)

with open("README.md", encoding="utf-8") as f:
    long_description = f.read()

setuptools.setup(
    name="inventree-stock-forecasting",
    version=inventree_forecasting.PLUGIN_VERSION,
    author="Oliver Walters",
    author_email="oliver.henry.walters@gmail.com",
    description="Stock forecasting for InvenTree based on scheduled orders",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/inventree/inventree-forecasting",
    license="MIT",
    packages=setuptools.find_packages(),
    keywords="inventree plugin",
    include_package_data=True,
    install_requires=[
        # Enter your plugin library dependencies here
    ],
    setup_requires=[
        "wheel",
        "twine",
    ],
    python_requires=">=3.9",
    entry_points={
        "inventree_plugins": [
            "InvenTreeForecasting = inventree_forecasting.core:InvenTreeForecasting"
        ]
    },
)
